<?
include('../functions.php');

$query = "SELECT * FROM abgleich WHERE  (versnummer, rechtskreis) IN (SELECT versnummer, rechtskreis FROM users
WHERE geburtsdatum = '0000-00-00')";
$result = mysql_query($query);

while($row = mysql_fetch_array($result,MYSQL_ASSOC))
{
    $geburtsdatum = $row['geburtsdatum'];
    $versnummer = $row['versnummer'];
    $rechtskreis = $row['rechtskreis'];
    print "$geburtsdatum, $versnummer, $rechtskreis\n";
    $subquery = "UPDATE users 
        SET geburtsdatum = '$geburtsdatum'
        WHERE versnummer = '$versnummer' 
        AND rechtskreis = '$rechtskreis'";
    mysql_query($subquery) or die("Cannot commit query ($subquery): " . mysql_error());
}

